Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.delegation
Class CDelegate

    java.lang.Object
      |
      +--com.jxml.qare.qhome.Template
            |
            +--com.jxml.qare.qhome.delegation.CDelegate

All Implemented Interfaces:
  Item

public class CDelegate
extends Template

Field Summary
`String` | `action`
`String` | `app`
`Iterator` | `appItr`
`DBApplication.Row` | `application`
`String` | `buttonClicked`
`int` | `c`
`CDelegate` | `cDelg`
`int` | `d`
`String` | `delegationDepth`
`DelegationPrivileges` | `delegationPrivileges`
`String` | `delegee`
`DelegationPrivileges` | `delegPrivilege`
`String` | `deLimit`
`String` | `depth`
`String` | `gname`
`DBUser.Row` | `grantor`
`List` | `keyList`
`int` | `l`
`String` | `limit`
`Map` | `map`
`int` | `mark`
`String` | `matchingName`
`Iterator` | `newItr`
`TreeMap` | `newMap`
`Set` | `newSet`
`String` | `newUrl`
`Iterator` | `pit`
`String` | `plugins`
`ArrayList` | `priv`
`String` | `privilegeOnSystem`
`DBProject.Row` | `proj`
`String` | `project`
`Map` | `properties`
`QConfig` | `qConfig`
`String` | `returnAddress`
`StringBuffer` | `sb`
`Set` | `set`
`String` | `shortDelegee`
`Iterator` | `sit`
`List` | `spPriv`
`List` | `systems`
`String` | `t`
`DBSystem.Row` | `toSystem`
`String` | `url`
`DBUser.Row` | `user`
`String` | `userName`
`List` | `users`

Fields inherited from class com.jxml.qare.qhome.Template
`E, EV`

Constructor Summary
`CDelegate()`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Evaluates the properties with the list of argumants
`String` | `process(String arg)`

Methods inherited from class com.jxml.qare.qhome.Template
`check, content, cvt, expand, expandProperty, expandURL, init, markup, readURL, redirectToAppDir, redirectToDelegationDisplay, redirectToDelegationDisplayUG, redirectToLogin, redirectToRemoteAccountDisplay`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qConfig

    public QConfig qConfig

### grantor

    public DBUser.Row grantor

### proj

    public DBProject.Row proj

### user

    public DBUser.Row user

### toSystem

    public DBSystem.Row toSystem

### application

    public DBApplication.Row application

### app

    public String app

### userName

    public String userName

### delegee

    public String delegee

### matchingName

    public String matchingName

### shortDelegee

    public String shortDelegee

### returnAddress

    public String returnAddress

### delegationDepth

    public String delegationDepth

### mark

    public int mark

### sb

    public StringBuffer sb

### properties

    public Map properties

### keyList

    public List keyList

### systems

    public List systems

### users

    public List users

### sit

    public Iterator sit

### pit

    public Iterator pit

### appItr

    public Iterator appItr

### action

    public String action

### cDelg

    public CDelegate cDelg

### delegationPrivileges

    public DelegationPrivileges delegationPrivileges

### delegPrivilege

    public DelegationPrivileges delegPrivilege

### privilegeOnSystem

    public String privilegeOnSystem

### depth

    public String depth

### d

    public int d

### l

    public int l

### limit

    public String limit

### deLimit

    public String deLimit

### gname

    public String gname

### project

    public String project

### t

    public String t

### plugins

    public String plugins

### map

    public Map map

### newMap

    public TreeMap newMap

### set

    public Set set

### newSet

    public Set newSet

### newUrl

    public String newUrl

### newItr

    public Iterator newItr

### spPriv

    public List spPriv

### c

    public int c

### priv

    public ArrayList priv

### url

    public String url

### buttonClicked

    public String buttonClicked

Constructor Detail

### CDelegate

    public CDelegate()

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Description copied from class: `Template`
  Evaluates the properties with the list of argumants
  Overrides:
    `eval` in class `Template`
  Following copied from class: `com.jxml.qare.qhome.Template`
  Parameters:
    `properties` - Contains the data in the form of name,value pair.
    `args` - Template name present in properties.
    `cl` - class to be loaded for individual plugins.

### process

    public String process(String arg)
                   throws Exception

  Overrides:
    `process` in class `Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD